Package ghidra.pcode.opbehavior

# Class OpBehaviorFloatSqrt

java.lang.Object
ghidra.pcode.opbehavior.OpBehavior
ghidra.pcode.opbehavior.UnaryOpBehavior
ghidra.pcode.opbehavior.OpBehaviorFloatSqrt

public class OpBehaviorFloatSqrt extends UnaryOpBehavior

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpBehaviorFloatSqrt()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `evaluateUnary(int sizeout, int sizein, long in1)`
  Evaluate the unary operation using long data
  `BigInteger`
  `evaluateUnary(int sizeout, int sizein, BigInteger in1)`
  Evaluate the unary operation using BigInteger data

  ### Methods inherited from class ghidra.pcode.opbehavior.OpBehavior

  `getOpCode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpBehaviorFloatSqrt

    public OpBehaviorFloatSqrt()

- ## Method Details

  - ### evaluateUnary

    public long evaluateUnary(int sizeout, int sizein, long in1)
    Description copied from class: `UnaryOpBehavior`
    Evaluate the unary operation using long data
    Specified by:
      `evaluateUnary` in class `UnaryOpBehavior`
    Parameters:
      `sizeout` - intended output size (bytes)
      `sizein` - in1 size (bytes)
      `in1` - unsigned input 1
    Returns:
      operation result. NOTE: if the operation overflows bits may be set beyond the specified sizeout. Even though results should be treated as unsigned it may be returned as a signed long value. It is expected that the returned result always be properly truncated by the caller since the evaluation may not - this is done to conserve emulation cycles.
    See Also:
      - `Utils.longToBytes(long, int, boolean)`
      - `Utils.bytesToLong(byte[], int, boolean)`

  - ### evaluateUnary

    public BigInteger evaluateUnary(int sizeout, int sizein, BigInteger in1)
    Description copied from class: `UnaryOpBehavior`
    Evaluate the unary operation using BigInteger data
    Specified by:
      `evaluateUnary` in class `UnaryOpBehavior`
    Parameters:
      `sizeout` - intended output size (bytes)
      `sizein` - in1 size (bytes)
      `in1` - unsigned input 1
    Returns:
      operation result. NOTE: if the operation overflows bits may be set beyond the specified sizeout. Even though results should be treated as unsigned it may be returned as a signed value. It is expected that the returned result always be properly truncated by the caller since the evaluation may not - this is done to conserve emulation cycles.
    See Also:
      - `Utils.bigIntegerToBytes(BigInteger, int, boolean)`
      - `Utils.bytesToBigInteger(byte[], int, boolean, boolean)`